solarOS Organization API

Organization API

List active Sales Types

Returns active Sales Type catalog entries for the authenticated organization only. Use these ids in salesTypeIds when creating Leads. Required scope: sales_types:read.

/api/v1/sales-types

Returns active Sales Type catalog entries for the authenticated organization only. Use these ids in salesTypeIds when creating Leads. Required scope: sales_types:read.

List active Sales Types. Use an organization API key with sales_types:read. Check the response envelope and meta.requestId before triggering dependent workflow steps.

Required scopes

sales_types:read

Parameters

No path or query parameters.

Request body

This endpoint does not accept a JSON request body.

Responses

200

Sales Type list envelope

#/components/schemas/OrgApiListEnvelope

401

Missing or invalid organization API key

#/components/schemas/OrgApiError

402

Organization billing access or an endpoint-specific business quota denied the request

#/components/schemas/OrgApiError

403

Missing sales_types:read scope

#/components/schemas/OrgApiError

429

Rate limit exceeded

#/components/schemas/OrgApiError

Errors

401 Missing or invalid organization API key402 Organization billing access or an endpoint-specific business quota denied the request403 Missing sales_types:read scope429 Rate limit exceeded

Static examples

curl -X GET "$SOLAROS_BASE_URL/api/v1/sales-types" \
  -H "Authorization: Bearer $SOLAROS_API_KEY"